$(function () {
    var csInterface = new CSInterface();

    // Update the color of the panel when the theme color of the product changed.
    updateThemeWithAppSkinInfo(csInterface.hostEnvironment.appSkinInfo);

    // Listen for color theme change.
    csInterface.addEventListener(CSInterface.THEME_COLOR_CHANGED_EVENT, onAppThemeColorChanged);
	
    // Listen for Update Structural Design.
    csInterface.addEventListener("com.adobe.csxs.events.illustratorimpactui.UpdateStructuralDesign", updateStructuralDesign);

    csInterface.setWindowTitle("Structural Design");

    var structuralDesignReady = new CSEvent('com.adobe.csxs.events.illustratorimpactui.StructuralDesignReady', 'APPLICATION', 'ILST', 'com.ardensoftware.illustratorimpactui.structuraldesign');
    structuralDesignReady.data = csInterface.isWindowVisible();
    csInterface.dispatchEvent(structuralDesignReady);
});

/// <summary>
/// Update the structural design panel with values from the dictionary and the values provided by the document.
/// </summary>
function updateStructuralDesign(event) {
    var xmlData = $.parseXML(event.data);

    var $xml = $(xmlData);

    var text = $xml.find('documentInfo').text();
    $("#StrucDesDocInfoLabel").text(text);
    text = $xml.find('projectNameLabel').text();
    $("#StrucDesProjNameLabel").text(text);
    text = $xml.find('projectNameValue').text();
    $("#StrucDesProjNameVal").text(text);
    text = $xml.find('layerNameLabel').text();
    $("#StrucDesLayNameLabel").text(text);
    text = $xml.find('layerNameValue').text();
    $("#StrucDesLayNameVal").text(text);
    text = $xml.find('faceLabel').text();
    $("#StrucDesFaceLabel").text(text);
    text = $xml.find('faceValue').text();
    $("#StrucDesFaceVal").text(text);
    text = $xml.find('designExtents').text();
    $("#StrucDesDesInfo").text(text);
    text = $xml.find('widthLabel').text();
    $("#StrucDesDesWidthLabel").text(text);
    text = $xml.find('widthValue').text();
    $("#StrucDesDesWidthVal").text(text);
    text = $xml.find('heightLabel').text();
    $("#StrucDesDesHeightLabel").text(text);
    text = $xml.find('heightValue').text();
    $("#StrucDesDesHeightVal").text(text);

    text = $xml.find('noData').text();
    $("#NoDataLabel").text(text);

    text = $xml.find('noDataBool').text();
    if (text == "true") {
        $("#NoDataLabelDiv").css('display', '');
        $("#DocumentInfoDiv").css('display', 'none');
    } 
    else {
        $("#NoDataLabelDiv").css('display', 'none');
        $("#DocumentInfoDiv").css('display', '');
    }

    var windowTitle = $xml.find('windowTitle').text();
    new CSInterface().setWindowTitle(windowTitle);
}